extension ListExtension<T> on List<T> {
  T? firstWhereOrNull(bool test(T element)) {
    final index = this.indexWhere(test);
    if (index < 0) {
      return null;
    }
    return this[index];
  }
}
