import 'package:dio/adapter.dart' as dioAdp;

import '../http.dart';
import '../http_mixin.dart';
import '../options.dart';

FHttp createFHttp([FHttpBaseOptions? options]) => FHttpForNative(options);

class FHttpForNative with FHttpMixin implements FHttp {
  FHttpForNative([FHttpBaseOptions? baseOptions]) {
    options = baseOptions ?? FHttpBaseOptions();
    httpClientAdapter = dioAdp.DefaultHttpClientAdapter();
  }
}
