import 'dart:convert';

class FHttpResponse<T> {
  FHttpResponse({
    this.statusCode,
    this.statusMessage,
    this.headers = const {},
    this.data,
  });

  int? statusCode;
  String? statusMessage;
  T? data;
  Map<String, List<String>> headers;

  @override
  String toString() {
    if (data is Map) {
      return json.encode(data);
    }
    return data.toString();
  }
}
