import 'package:fis_common/js_plateform/mobile_js_platform.dart'
    if (dart.library.io) 'package:fis_common/js_plateform/mobile_js_platform.dart'
    if (dart.library.html) 'package:fis_common/js_plateform/web_js_platform.dart';

class JSPlateForm {
  static JSPlatFormImp _olatFormImp = JSPlatFormImp();

  ///设置js不同平台的引用
  static void setJsPlatForm(Function(String, String) func) {
    _olatFormImp.setPlatForm(func);
  }

  ///关闭指定副窗口
  static void closeSlaveWindow() {
    _olatFormImp.closeSlaveWindow();
  }

  ///获取语言Code
  static Future<String> getLanguageCode() async {
    return await _olatFormImp.getLanguageCode();
  }

  ///导出大文件
  static void exportLargeFile(fileJsonData) {
    _olatFormImp.exportLargeFile(fileJsonData);
  }

  static Future<String> compressBigImage(
      String imageData, int width, int height, int quality) async {
    return await _olatFormImp.compressBigImage(
        imageData, width, height, quality);
  }

  ///开始拖拽窗口
  static void beginWindowDrag(String windowName) {
    return _olatFormImp.beginWindowDrag(windowName);
  }

  ///结束拖拽
  static void endWindowDrag(String windowName) {
    return _olatFormImp.endWindowDrag(windowName);
  }

  ///关闭Windows
  static void closeWindow(String windowName) {
    return _olatFormImp.closeWindow(windowName);
  }

  ///最大化Window
  static void maximizeWindow(String windowName) {
    return _olatFormImp.maximizeWindow(windowName);
  }

  ///最小化Window
  static void minimizeWindow(String windowName) {
    return _olatFormImp.minimizeWindow(windowName);
  }

  static void printPdf(String base64) {
       return _olatFormImp.printPdf(base64);
  }
}
