import 'package:fis_common/extensions/index.dart';
import 'package:fis_common/helpers/encrypt.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  test('aes', () {
    final result = FEncryptHelper.encodeBase64('loki.wu');
    final decryptResult = FEncryptHelper.decryptBase64(result);
    final encodeResult = FEncryptHelper.encryptionPartial('342401199703023057');
    print(encodeResult);
    print(decryptResult);
    final text =
        '{"app":{"locale":["zh","CN"]},"user":{"token":"ff40572a76274b0785b597f95a022d2d","profile":{"password":"f7233972","code":"ee3f737c72a243ad8c914a4f46c90360","account":"fnyml","sessionId":"ff40572a76274b0785b597f95a022d2d","rememberPwd":true}}}';
    final encryptedText = FEncryptHelper.encrypAES(text);
    final decryptedText = FEncryptHelper.decrypAES(encryptedText);
    print("isNotNullOrEmpty:${''.isNotNullOrEmpty}");
    print("isNullOrEmpty:${''.isNullOrEmpty}");
    print("isNotNullOrEmpty:${'   '.isNotNullOrEmpty}");
    print("isNullOrWhiteSpace:${'    '.isNullOrWhiteSpace}");
    print("isNotNullOrWhiteSpace:${'    '.isNotNullOrWhiteSpace}");
    print("isNullOrWhiteSpace:${'  1  '.isNullOrWhiteSpace}");
    print("isNotNullOrWhiteSpace:${'  1  '.isNotNullOrWhiteSpace}");
  });
}
