@JS()
library env_web;

import 'package:js/js.dart';
import 'env.dart';

@JS('env')
external _FisShellEnv get _env;

@JS()
@anonymous
class _FisShellEnv {
  external String get platform;

  // Must have an unnamed factory constructor with named arguments.
  external factory _FisShellEnv({String platform});
}

class FisEnvWeb extends FisEnv {
  FisEnvWeb({required String platform}) : super(platform: platform);
}

FisEnv getEnv() => FisEnvWeb(platform: _env.platform);
