class StringFormatter {
  ///替换字符串中的占位符
  static String format(String input, List<dynamic> values) {
    if (values.isEmpty) {
      return input;
    }
    String output = input;
    for (int i = 0; i < values.length; i++) {
      output = output.replaceAll('{$i}', values[i].toString());
    }
    return output;
  }

  static String formatTargetCode(
      String input, List<dynamic> values, List<dynamic> codes) {
    if (values.isEmpty) {
      return input;
    }
    String output = input;
    for (int i = 0; i < values.length; i++) {
      output =
          output.replaceAll('{${codes[i].toString()}}', values[i].toString());
    }
    return output;
  }
}
