/// 字符串帮助类
class FStringHelper {
  /// 字符串格式化
  ///
  /// [text] 原始字符串 例：Hi! My name is {0}, i'm {1} years old.
  ///
  /// [args] 格式化参数集合
  static String formart(String text, [List<dynamic>? args]) {
    if (args == null || args.isEmpty) return text;
    final len = args.length;
    for (var i = 0; i < len; i++) {
      text = text.replaceAll(RegExp('{[$i]}'), args[i].toString());
    }
    return text;
  }
}
