import 'package:dio/adapter_browser.dart';

import '../http.dart';
import '../http_mixin.dart';
import '../options.dart';

FHttp createFHttp([FHttpBaseOptions? options]) => FHttpForWeb(options);

class FHttpForWeb with FHttpMixin implements FHttp {
  FHttpForWeb([FHttpBaseOptions? baseOptions]) {
    options = baseOptions ?? FHttpBaseOptions();
    httpClientAdapter = BrowserHttpClientAdapter();
  }
}
